QGIS Application - Bug report #5620
libggis_core in the build directory is not used when running crssync during build
2012-05-19 07:55 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 15190
Description

Building on Arch Linux fails like this:

Scanning dependencies of target synccrsdb

./..Joutput/bin/crssync: error while loading shared libraries: libqgis_core.s0.1.8.0: cannot open shared object file: No such file or
directory

make[2]: *** [src/crssync/CMakeFiles/synccrsdb] Error 127

make[1]: *** [src/crssync/CMakeFiles/synccrsdb.dir/all] Error 2

make: *** [all] Error 2

It looks like it is not looking for libs in the build directory, because if | copy libqgis_core.s0.1.8.0 to /ust/lib, then try building again, it is
successful.

History

#1 - 2012-05-23 05:56 AM - Radim Blazek

| have the same problem. It fails during the first installation. Developers do not notice that, because they have already the libs installed. | have used export
LD_LIBRARY_PATH="pwd"/src/core/:3LD_LIBRARY_PATH in build dir to get over, but that is not a solution.

#2 - 2012-06-04 12:03 AM - Radim Blazek

May be it only happens with CMAKE_SKIP_RPATH ON.

#3 - 2012-06-04 04:20 AM - Radim Blazek

| am not able to reproduce the problem anymore.

#4 - 2012-06-15 07:58 AM - Leyan Ouyang

| confirm the same problem, also on ArchLinux, now with libqgis_core.s0.1.9.0, but all the rest is similar.

It is due to the line 15 in src/crssync/CMakelLists.txt :
ADD_CUSTOM_TARGET(synccrsdb COMMAND crssync)

cmake then tries to execute crssync but doesn't find libggis_core. The LD_LIBRARY_PATH should be changed to include
${QGIS_OUTPUT_DIRECTORY}/lib but | do not know the preferred way to do this in Cmake.

#5 - 2012-07-11 12:15 AM - Jiirgen Fischer

Leyan Ouyang wrote:

| confirm the same problem, also on ArchLinux, now with libqgis_core.s0.1.9.0, but all the rest is similar.

Is QGIS on ArchLinux built with other cmake rpath settings?

#6 - 2012-07-11 12:52 AM - Alister Hood

In both https://aur.archlinux.org/packages/qg/qgis-git/PKGBUILD and https://aur.archlinux.org/packages/qg/qgis/PKGBUILD there is this:
-DCMAKE_SKIP_RPATH=ON \\

Is that what you mean?

#7 - 2012-07-11 01:07 AM - Jiirgen Fischer
- Resolution set to worksforme
- Status changed from Open to Closed

Alister Hood wrote:

In both https.//aur.archlinux.org/packages/qqg/qgis-qit/PKGBUILD and https://aur.archlinux.org/packages/qq/qqis/PKGBUILD there is this:

-DCMAKE_SKIP_RPATH=ON \|
Is that what you mean?

Yes, that's causing the problem.
